com.rscja.deviceapi.enums

## Enum AntennaEnum

- java.lang.Object
- - java.lang.Enum<AntennaEnum>
  - - com.rscja.deviceapi.enums.AntennaEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AntennaEnum>

      public enum AntennaEnum
      extends java.lang.Enum<AntennaEnum>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANT1`
    `ANT10`
    `ANT11`
    `ANT12`
    `ANT13`
    `ANT14`
    `ANT15`
    `ANT16`
    `ANT2`
    `ANT3`
    `ANT4`
    `ANT5`
    `ANT6`
    `ANT7`
    `ANT8`
    `ANT9`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AntennaEnum` | `getValue(int value)`
    `static AntennaEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AntennaEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANT1

          public static final AntennaEnum ANT1

    - #### ANT2

          public static final AntennaEnum ANT2

    - #### ANT3

          public static final AntennaEnum ANT3

    - #### ANT4

          public static final AntennaEnum ANT4

    - #### ANT5

          public static final AntennaEnum ANT5

    - #### ANT6

          public static final AntennaEnum ANT6

    - #### ANT7

          public static final AntennaEnum ANT7

    - #### ANT8

          public static final AntennaEnum ANT8

    - #### ANT9

          public static final AntennaEnum ANT9

    - #### ANT10

          public static final AntennaEnum ANT10

    - #### ANT11

          public static final AntennaEnum ANT11

    - #### ANT12

          public static final AntennaEnum ANT12

    - #### ANT13

          public static final AntennaEnum ANT13

    - #### ANT14

          public static final AntennaEnum ANT14

    - #### ANT15

          public static final AntennaEnum ANT15

    - #### ANT16

          public static final AntennaEnum ANT16

  - ### Method Detail

    - #### values

          public static AntennaEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AntennaEnum c : AntennaEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AntennaEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getValue

          public static AntennaEnum getValue(int value)